<?xml version='1.0' encoding='UTF-8'?>
<?xml-stylesheet type='text/xsl' href='wsdl-viewer.xsl'?>
<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="namespace.vstore" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="DictWebService" targetNamespace="namespace.vstore">
    <wsdl:types>
        <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:v1="namespace.vstore" xmlns:tns="namespace.vstore" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="namespace.vstore">
            <xs:complexType name="MeasureUnitUpdatesRequest">
                <xs:complexContent>
                    <xs:extension base="tns:AbstractSessionAwareRequest">
                        <xs:sequence>
                            <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
                                <xs:annotation>
                                    <xs:documentation>Дата и время последнего обновления Единиц измерения</xs:documentation>
                                </xs:annotation>
                            </xs:element>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType abstract="true" name="AbstractSessionAwareRequest">
                <xs:sequence>
                    <xs:element name="sessionId" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Идентификатор сессии (см. SessionService)</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="MeasureUnitUpdatesResponse">
                <xs:sequence>
                    <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
                        <xs:annotation>
                            <xs:documentation>Дата и время последнего обновления Единиц измерения</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="measureUnitList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="measureUnitUpdatesResult" type="tns:MeasureUnit">
                                    <xs:annotation>
                                        <xs:documentation>Список обновлений Единиц измерения</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="MeasureUnit">
                <xs:annotation>
                    <xs:documentation>Справочник 'Единицы измерения'</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="code">
                        <xs:annotation>
                            <xs:documentation>Код единицы измерения</xs:documentation>
                        </xs:annotation>
                        <xs:simpleType>
                            <xs:restriction base="xs:string">
                                <xs:maxLength value="16"/>
                                <xs:minLength value="1"/>
                            </xs:restriction>
                        </xs:simpleType>
                    </xs:element>
                    <xs:element minOccurs="0" name="codeMkei">
                        <xs:annotation>
                            <xs:documentation>Код единицы измерения МКЕИ</xs:documentation>
                        </xs:annotation>
                        <xs:simpleType>
                            <xs:restriction base="xs:string">
                                <xs:maxLength value="16"/>
                                <xs:minLength value="1"/>
                            </xs:restriction>
                        </xs:simpleType>
                    </xs:element>
                    <xs:element minOccurs="0" name="codeOkei">
                        <xs:annotation>
                            <xs:documentation>Код единицы измерения ОКЕИ</xs:documentation>
                        </xs:annotation>
                        <xs:simpleType>
                            <xs:restriction base="xs:string">
                                <xs:maxLength value="16"/>
                                <xs:minLength value="1"/>
                            </xs:restriction>
                        </xs:simpleType>
                    </xs:element>
                    <xs:element minOccurs="0" name="codeTis">
                        <xs:annotation>
                            <xs:documentation>Код единицы измерения ТИС</xs:documentation>
                        </xs:annotation>
                        <xs:simpleType>
                            <xs:restriction base="xs:string">
                                <xs:maxLength value="16"/>
                                <xs:minLength value="1"/>
                            </xs:restriction>
                        </xs:simpleType>
                    </xs:element>
                    <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
                        <xs:annotation>
                            <xs:documentation>Дата и время последнего обновления</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="nameKz">
                        <xs:annotation>
                            <xs:documentation>Наименование единицы измерения на казахском языке</xs:documentation>
                        </xs:annotation>
                        <xs:simpleType>
                            <xs:restriction base="xs:string">
                                <xs:maxLength value="400"/>
                                <xs:minLength value="2"/>
                            </xs:restriction>
                        </xs:simpleType>
                    </xs:element>
                    <xs:element name="nameRu">
                        <xs:annotation>
                            <xs:documentation>Наименование единицы измерения на русском языке</xs:documentation>
                        </xs:annotation>
                        <xs:simpleType>
                            <xs:restriction base="xs:string">
                                <xs:maxLength value="400"/>
                                <xs:minLength value="2"/>
                            </xs:restriction>
                        </xs:simpleType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="SessionClosedFault">
                <xs:annotation>
                    <xs:documentation>При попытке выполнить действие, когда сессия пользователя была закрыта вызовом соответствующего метода либо по таймауту</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="description" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="GsvsUpdatesRequest">
                <xs:complexContent>
                    <xs:extension base="tns:AbstractSessionAwareRequest">
                        <xs:sequence>
                            <xs:element name="lastChangeId" type="xs:long">
                                <xs:annotation>
                                    <xs:documentation>Id последнего загруженного изменения (changeId). При первоначальной загрузке обновлений ГСВС необходимо указать значение равное '0'</xs:documentation>
                                </xs:annotation>
                            </xs:element>
                            <xs:element name="blockSize">
                                <xs:annotation>
                                    <xs:documentation>Количество загружаемых обновлений</xs:documentation>
                                </xs:annotation>
                                <xs:simpleType>
                                    <xs:restriction base="xs:int">
                                        <xs:maxInclusive value="1000"/>
                                        <xs:minInclusive value="1"/>
                                    </xs:restriction>
                                </xs:simpleType>
                            </xs:element>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType name="GsvsUpdatesResponse">
                <xs:sequence>
                    <xs:element name="requestLastChangeId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Id последнего загруженного изменения (changeId) переданного в запросе</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="requestBlockSize" type="xs:int">
                        <xs:annotation>
                            <xs:documentation>Количество загружаемых обновлений переданное в запросе</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="maxChangeId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Максимальный Id изменений (changeId) в 'Cписке обновлений ГСВС'</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="lastBlock" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Текущий блок является последним</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="gsvsUpdateList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="gsvsUpdatesResult" type="tns:GsvsUpdate">
                                    <xs:annotation>
                                        <xs:documentation>Список обновлений ГСВС</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="GsvsUpdate">
                <xs:annotation>
                    <xs:documentation>ГСВС</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="changeDate" type="xs:dateTime">
                        <xs:annotation>
                            <xs:documentation>Дата изменения</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="changeId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Инкрементальный id изменения</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="gsvs" type="tns:Gsvs">
                        <xs:annotation>
                            <xs:documentation>ГСВС</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="operation" type="tns:eGsvsOperation">
                        <xs:annotation>
                            <xs:documentation>Операция</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="Gsvs">
                <xs:annotation>
                    <xs:documentation>ГСВС</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="code" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Код КПВЭД/ТНВЭД/ГТИН</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="description" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Краткое описание товара</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="endDate" type="xs:dateTime">
                        <xs:annotation>
                            <xs:documentation>Дата и время окончания действия записи</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="fixedId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Сквозной код, который будет постоянным при изменении</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="fixedParentId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Ссылка на сквозной код родителя</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="gsvsCode" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Код ГСВС в формате КПВЭД[-ТНВЭД][/GTIN]</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="gsvsTypeCode" type="tns:eGsvsType">
                        <xs:annotation>
                            <xs:documentation>Тип ГСВС</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="id" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>ID</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="isCanSelect" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Признак, что данный код можно выбрать/указать в ЭСФ</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="isDeleted" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Признак удаления</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="isTwofoldPurpose" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Признак товара двойного назначения</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="isUnique" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Признак уникальности товара</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="isUseInVstore" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Признак использования в ВС</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="isWithdrawal" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Признак товара изъятия</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="kpvedTypeCode" type="tns:eKpvedType">
                        <xs:annotation>
                            <xs:documentation>Тип - услуга, товар</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
                        <xs:annotation>
                            <xs:documentation>Дата и время последнего изменения</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="nameEn" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Наименование ГСВС(КПВЭД/ТНВЭД/GTIN в зависимости от типа) на английском языке</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="nameKz" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Наименование ГСВС(КПВЭД/ТНВЭД/GTIN в зависимости от типа) на казахском языке</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="nameRu" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Наименование ГСВС(КПВЭД/ТНВЭД/GTIN в зависимости от типа) на русском языке</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="startDate" type="xs:dateTime">
                        <xs:annotation>
                            <xs:documentation>Дата и время начала действия записи</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:simpleType name="eGsvsType">
                <xs:annotation>
                    <xs:documentation>Тип ГСВС</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:enumeration value="KPVED">
                        <xs:annotation>
                            <xs:documentation>КПВЭД</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="TNVED">
                        <xs:annotation>
                            <xs:documentation>ТНВЭД</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="GTIN">
                        <xs:annotation>
                            <xs:documentation>GTIN</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="eKpvedType">
                <xs:annotation>
                    <xs:documentation>Тип Классификатора КПВЭД</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:enumeration value="PRODUCT">
                        <xs:annotation>
                            <xs:documentation>Товары</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="SERVICE">
                        <xs:annotation>
                            <xs:documentation>Услуга</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="eGsvsOperation">
                <xs:annotation>
                    <xs:documentation>Изменения ГСВС для АПИ</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:enumeration value="ADD">
                        <xs:annotation>
                            <xs:documentation>ADD</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="UPDATE">
                        <xs:annotation>
                            <xs:documentation>UPDATE</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="DELETE">
                        <xs:annotation>
                            <xs:documentation>DELETE</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
            <xs:element name="sessionClosedException" nillable="true" type="tns:SessionClosedFault"/>
            <xs:element name="queryMeasureUnitUpdatesRequest" nillable="true" type="tns:MeasureUnitUpdatesRequest"/>
            <xs:element name="measureUtitUpdatesResponse" nillable="true" type="tns:MeasureUnitUpdatesResponse"/>
            <xs:element name="queryGsvsUpdatesRequest" nillable="true" type="tns:GsvsUpdatesRequest"/>
            <xs:element name="gsvsUpdatesResponse" nillable="true" type="tns:GsvsUpdatesResponse"/>
        </xs:schema>
    </wsdl:types>
    <wsdl:message name="SessionClosedException">
        <wsdl:part element="tns:sessionClosedException" name="SessionClosedException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryGsvsUpdatesResponse">
        <wsdl:part element="tns:gsvsUpdatesResponse" name="gsvsUpdatesResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryMeasureUnitUpdates">
        <wsdl:part element="tns:queryMeasureUnitUpdatesRequest" name="queryMeasureUnitUpdatesRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryMeasureUnitUpdatesResponse">
        <wsdl:part element="tns:measureUtitUpdatesResponse" name="measureUtitUpdatesResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryGsvsUpdates">
        <wsdl:part element="tns:queryGsvsUpdatesRequest" name="queryGsvsUpdatesRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:portType name="DictWebService">
        <wsdl:documentation>Сервис по работе со справочниками ВС</wsdl:documentation>
        <wsdl:operation name="queryMeasureUnitUpdates">
            <wsdl:documentation>Получить список новых новых изменеений в спровочнике Единицы измерения</wsdl:documentation>
            <wsdl:input message="tns:queryMeasureUnitUpdates" name="queryMeasureUnitUpdates">
    </wsdl:input>
            <wsdl:output message="tns:queryMeasureUnitUpdatesResponse" name="queryMeasureUnitUpdatesResponse">
    </wsdl:output>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="queryGsvsUpdates">
            <wsdl:documentation>Получить список новых новых изменеений в спровочнике ГСВС</wsdl:documentation>
            <wsdl:input message="tns:queryGsvsUpdates" name="queryGsvsUpdates">
    </wsdl:input>
            <wsdl:output message="tns:queryGsvsUpdatesResponse" name="queryGsvsUpdatesResponse">
    </wsdl:output>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="DictWebServiceSoapBinding" type="tns:DictWebService">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="queryMeasureUnitUpdates">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="queryMeasureUnitUpdates">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="queryMeasureUnitUpdatesResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="queryGsvsUpdates">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="queryGsvsUpdates">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="queryGsvsUpdatesResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="DictWebService">
        <wsdl:port binding="tns:DictWebServiceSoapBinding" name="DictWebServicePort">
            <soap:address location="https://esf.gov.kz:8443/esf-web/vstore-ws/api1/DictWebService"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>